[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TCreateGUIDFunc

Callback prototype to create GUIDs

## Declaration

Source position: sysutilh.inc line 229

`type TCreateGUIDFunc = function(`
`out GUID: TGuid`
`):Integer;`

## Description

TCreateGUIDFunc is the prototype for a GUID creation handler. On return, the GUID argument should contain a new (unique) GUID. The return value of the function should be zero for success, nonzero for failure.

## See also

OnCreateGUID |  | Callback to create GUID values

Documentation generated on: Feb 26 2014